%global url_ver %%(echo %{version} | cut -d. -f1-2)

Summary:        Common build files of the C++ bindings
Name:           mm-common
Version:        1.0.5
Release:        2%{?dist}
License:        GPLv2+
URL:            http://gtkmm.org
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  meson
Requires:       pkgconfig
Requires:       graphviz doxygen libxslt

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is a required dependency
to build glibmm and gtkmm from git.


%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Requires:       %{name} = %{version}-%{release}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%files
%license COPYING
%doc NEWS AUTHORS
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/aclocal/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pkgconfig/*.pc


%files docs
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 1.0.5-1
- update to 1.0.5

* Fri Dec 2 2022 rockerzhu <rockerzhu@tencent.com> - 1.0.4-1
- Initial build
